Attribute VB_Name = "Module_List"
Option Explicit

' -----------------------------------------------------------------------------
' This file will be used to create COLLECTIONS of stuff to fill COMBO BOXES
' -----------------------------------------------------------------------------

Public Abilities As New Collection      ' Abilities to equip
Public Animation As New Collection      ' Animation of an attack
Public AttackFormula As New Collection  ' Description of the Attack Formula
Public Characters As New Collection     ' Characters in the game
Public Enemies As New Collection        ' Enemies/Bosses in the game
Public Items As New Collection          ' Items in the game
Public ItemIcons As New Collection      ' Items icons in the game
Public Jobs As New Collection           ' Jobs to equip
Public Letters As New Collection        ' Letters (characters) used on RPGe's patch
Public Magic As New Collection          ' Magic used by characters & enemies


Public Sub PopAbilities()
    Abilities.Add "Nothing"
    Abilities.Add "!Other"
    Abilities.Add "!Item"
    Abilities.Add "!Row"
    Abilities.Add "!Def."
    Abilities.Add "!Fight"
    Abilities.Add "!Guard"
    Abilities.Add "!Kick"
    Abilities.Add "!Buildup"
    Abilities.Add "!Mantra"
    Abilities.Add "!Escape"
    Abilities.Add "!Steal"
    Abilities.Add "!Capture"
    Abilities.Add "!Jump"
    Abilities.Add "!DrgnSwd"
    Abilities.Add "!Smoke"
    Abilities.Add "!Image"
    Abilities.Add "!Throw"
    Abilities.Add "!SwdSlap"
    Abilities.Add "!GPToss"
    Abilities.Add "!Slash"
    Abilities.Add "!Animals"
    Abilities.Add "!Aim"
    Abilities.Add "!X-Fight"
    Abilities.Add "!Conjure"
    Abilities.Add "!Observe"
    Abilities.Add "!Analize"
    Abilities.Add "!Tame"
    Abilities.Add "!Control"
    Abilities.Add "!Catch"
    Abilities.Add "!Release"
    Abilities.Add "!Mix"
    Abilities.Add "!Drink"
    Abilities.Add "!Pray"
    Abilities.Add "!Revive"
    Abilities.Add "!Terrain"
    Abilities.Add "!*Dummy01"
    Abilities.Add "!Hide"
    Abilities.Add "!Show"
    Abilities.Add "!*Dummy02"
    Abilities.Add "!Sing"
    Abilities.Add "!Flirt"
    Abilities.Add "!Dance"
    Abilities.Add "!Mimic"
    Abilities.Add "!MgcSwrd Lv 1"
    Abilities.Add "!MgcSwrd Lv 2"
    Abilities.Add "!MgcSwrd Lv 3"
    Abilities.Add "!MgcSwrd Lv 4"
    Abilities.Add "!MgcSwrd Lv 5"
    Abilities.Add "!MgcSwrd Lv 6"
    Abilities.Add "!White Lv 1"
    Abilities.Add "!White Lv 2"
    Abilities.Add "!White Lv 3"
    Abilities.Add "!White Lv 4"
    Abilities.Add "!White Lv 5"
    Abilities.Add "!White Lv 6"
    Abilities.Add "!Black Lv 1"
    Abilities.Add "!Black Lv 2"
    Abilities.Add "!Black Lv 3"
    Abilities.Add "!Black Lv 4"
    Abilities.Add "!Black Lv 5"
    Abilities.Add "!Black Lv 6"
    Abilities.Add "!Jikuu Lv 1"
    Abilities.Add "!Jikuu Lv 2"
    Abilities.Add "!Jikuu Lv 3"
    Abilities.Add "!Jikuu Lv 4"
    Abilities.Add "!Jikuu Lv 5"
    Abilities.Add "!Jikuu Lv 6"
    Abilities.Add "!Summon Lv 1"
    Abilities.Add "!Summon Lv 2"
    Abilities.Add "!Summon Lv 3"
    Abilities.Add "!Summon Lv 4"
    Abilities.Add "!Summon Lv 5"
    Abilities.Add "!Red Lv 1"
    Abilities.Add "!Red Lv 2"
    Abilities.Add "!Red Lv 3"
    Abilities.Add "!X-Magic"
    Abilities.Add "!Blue"
    Abilities.Add "!*Dummy"
    Abilities.Add "!*Dummy"
    Abilities.Add "!*Dummy"
    Abilities.Add "!*Dummy"
    Abilities.Add "!*Dummy"
    Abilities.Add "!*Dummy"
    Abilities.Add "!*Dummy"
    Abilities.Add "!*Dummy"
    Abilities.Add "!*Dummy"
    Abilities.Add "!*Dummy"
    Abilities.Add "!*Dummy"
    Abilities.Add "!*Dummy"
    Abilities.Add "!*Dummy"
    Abilities.Add "!*Dummy"
    Abilities.Add "!*Dummy"
    Abilities.Add "!*Dummy"
    Abilities.Add "!*Dummy"
    Abilities.Add "!*Dummy"
    Abilities.Add "!*Dummy"
    Abilities.Add "!*Dummy"
    Abilities.Add "!*Dummy"
    Abilities.Add "!*Dummy"
    Abilities.Add "!*Dummy"
    Abilities.Add "!*Dummy"
    Abilities.Add "!*Dummy"
    Abilities.Add "!*Dummy"
    Abilities.Add "!*Dummy"
    Abilities.Add "!*Dummy"
    Abilities.Add "!*Dummy"
    Abilities.Add "!*Dummy"
    Abilities.Add "!*Dummy"
    Abilities.Add "!*Dummy"
    Abilities.Add "!*Dummy"
    Abilities.Add "!*Dummy"
    Abilities.Add "!*Dummy"
    Abilities.Add "!*Dummy"
    Abilities.Add "!*Dummy"
    Abilities.Add "!*Dummy"
    Abilities.Add "!*Dummy"
    Abilities.Add "!*Dummy"
    Abilities.Add "!*Dummy"
    Abilities.Add "!*Dummy"
    Abilities.Add "!*Dummy"
    Abilities.Add "!*Dummy"
    Abilities.Add "!*Dummy"
    Abilities.Add "!*Dummy"
    Abilities.Add "!*Dummy"
    Abilities.Add "!*Dummy"
    Abilities.Add "!*Dummy"
    Abilities.Add "!*Dummy"
    Abilities.Add "Equip Shields"
    Abilities.Add "Equip Armors"
    Abilities.Add "Equip Ribbons"
    Abilities.Add "Equip Swords"
    Abilities.Add "Equip Spears"
    Abilities.Add "Equip Katanas"
    Abilities.Add "Equip Axes"
    Abilities.Add "Equip Bows"
    Abilities.Add "Equip Whips"
    Abilities.Add "Equip Harps"
    Abilities.Add "Agility"
    Abilities.Add "HP 10% UP"
    Abilities.Add "HP 20% UP"
    Abilities.Add "HP 30% UP"
    Abilities.Add "MP 10% UP"
    Abilities.Add "MP 30% UP"
    Abilities.Add "Brawl"
    Abilities.Add "Dbl Grip"
    Abilities.Add "2-Handed"
    Abilities.Add "Medicine"
    Abilities.Add "Cover"
    Abilities.Add "Counter"
    Abilities.Add "Evade"
    Abilities.Add "Learning"
    Abilities.Add "Barrier"
    Abilities.Add "Berserk"
    Abilities.Add "Caution"
    Abilities.Add "Preemtive"
    Abilities.Add "Passages"
    Abilities.Add "DmgFloor"
    Abilities.Add "Pitfalls"
    Abilities.Add "Equip Rods"
    Abilities.Add "Dash"
End Sub

Public Sub PopAnimation()
    Animation.Add "00) Unarmed"
    Animation.Add "01) Unarmed"
    Animation.Add "02) Knife (grey)"
    Animation.Add "03) Knife (grey)"
    Animation.Add "04) Knife (light blue)"
    Animation.Add "05) Knife (grey)"
    Animation.Add "06) Knife (blue)"
    Animation.Add "07) Knife (grey)"
    Animation.Add "08) Knife (grey)"
    Animation.Add "09) Knife (pink)"
    Animation.Add "0A) Knife (green)"
    Animation.Add "0B) Knife (red)"
    Animation.Add "0C) Knife (grey)"
    Animation.Add "0D) Sword (grey)"
    Animation.Add "0E) Sword (grey)"
    Animation.Add "0F) Sword (light blue)"
    Animation.Add "10) Sword (pink)"
    Animation.Add "11) Sword (light green)"
    Animation.Add "12) Sword (grey)"
    Animation.Add "13) Sword (light blue)"
    Animation.Add "14) Sword (light green)"
    Animation.Add "15) Knightsword"
    Animation.Add "16) Knightsword"
    Animation.Add "17) Spear (grey)"
    Animation.Add "18) Spear (grey)"
    Animation.Add "19) Spear (grey)"
    Animation.Add "1A) Lightning spear"
    Animation.Add "1B) Spear (light green)"
    Animation.Add "1C) Spear (grey)"
    Animation.Add "1D) Spear (grey)"
    Animation.Add "1E) Double Lance"
    Animation.Add "1F) Spear (light blue)"
    Animation.Add "20) Spear (red)"
    Animation.Add "21) Axe (grey)"
    Animation.Add "22) Hammer (blue)"
    Animation.Add "23) Axe (yellow)"
    Animation.Add "24) Hammer (grey)"
    Animation.Add "25) Axe (pink)"
    Animation.Add "26) Hammer (grey)"
    Animation.Add "27) Axe (yellow)"
    Animation.Add "28) Hammer throw"
    Animation.Add "29) Katana (grey)"
    Animation.Add "2A) Katana (light blue)"
    Animation.Add "2B) Katana (grey)"
    Animation.Add "2C) Katana (grey)"
    Animation.Add "2D) Katana (grey)"
    Animation.Add "2E) Katana (light blue)"
    Animation.Add "2F) Katana (grey)"
    Animation.Add "30) Katana (light blue)"
    Animation.Add "31) Rod (grey)"
    Animation.Add "32) Rod (red)"
    Animation.Add "33) Rod (light blue)"
    Animation.Add "34) Rod (yellow)"
    Animation.Add "35) Rod (light blue)"
    Animation.Add "36) Rod (pink)"
    Animation.Add "37) Rod (grey)"
    Animation.Add "38) Staff (grey)"
    Animation.Add "39) Staff (light blue)"
    Animation.Add "3A) (Power staff)"
    Animation.Add "3B) (Healing staff)"
    Animation.Add "3C) Staff (yellow)"
    Animation.Add "3D) Staff (blue)"
    Animation.Add "3E) Staff (grey)"
    Animation.Add "3F) Fire arrow"
    Animation.Add "40) Ice arrow"
    Animation.Add "41) Thunder arrow"
    Animation.Add "42) Arrow (grey)"
    Animation.Add "43) Arrow (light grey)"
    Animation.Add "44) Arrow (pink)"
    Animation.Add "45) Large arrow (blue)"
    Animation.Add "46) Large arrow (grey)"
    Animation.Add "47) (Silver Harp)"
    Animation.Add "48) (Dream Harp)"
    Animation.Add "49) (Lamia's Harp)"
    Animation.Add "4A) (Apollo's Harp)"
    Animation.Add "4B) Whip (grey)"
    Animation.Add "4C) Whip (light blue)"
    Animation.Add "4D) Whip (yellow)"
    Animation.Add "4E) Whip (orange)"
    Animation.Add "4F) Whip (red)"
    Animation.Add "50) Bells (yellow)"
    Animation.Add "51) Bells (yellow)"
    Animation.Add "52) Bells (green)"
    Animation.Add "53) Bells (pink)"
    Animation.Add "54) (Sabre)"
    Animation.Add "55) Sword (red)"
    Animation.Add "56) Sword (green)"
    Animation.Add "57) Fire sword"
    Animation.Add "58) Ice sword"
    Animation.Add "59) Wheel (light blue)"
    Animation.Add "5A) Shuriken"
    Animation.Add "5B) Pinwheel"
    Animation.Add "5C) Sword (yellow)"
    Animation.Add "5D) Whip (grey)"
    Animation.Add "5E) Flail (grey)"
    Animation.Add "5F) Flail (light blue)"
    Animation.Add "60) (Wonder rod)"
    Animation.Add "61) Sword (grey)"
    Animation.Add "62) Sword (black) (no sound) (Soot)"
    Animation.Add "63) Knife (grey)"
    Animation.Add "64) Wheel (red)"
    Animation.Add "65) Arrow (grey)"
    Animation.Add "66) Arrow (light grey)"
    Animation.Add "67) (Antimagic bow)"
    Animation.Add "68) Arrow (grey)"
    Animation.Add "69) Axe (dark grey)"
    Animation.Add "6A) Axe (dark grey)"
    Animation.Add "6B) Knife (grey)"
    Animation.Add "6C) Knife (grey)"
    Animation.Add "6D) Knife (grey)"
    Animation.Add "6E) Sword (grey)"
    Animation.Add "6F) Sword (black) (no sound) (Left Hand)"
    Animation.Add "70) Sword (black) (no sound) (Right Hand)"
    Animation.Add "71) Sword (black) (no sound) (Item00)"
    Animation.Add "72) Sword (black) (no sound) (Item01)"
    Animation.Add "73) Sword (black) (no sound) (Item02)"
    Animation.Add "74) Sword (black) (no sound) (Item03)"
    Animation.Add "75) Sword (black) (no sound) (Item04)"
    Animation.Add "76) Sword (black) (no sound) (Item05)"
    Animation.Add "77) Sword (black) (no sound) (Item06)"
    Animation.Add "78) Sword (black) (no sound) (Item07)"
    Animation.Add "79) Sword (black) (no sound) (Item08)"
    Animation.Add "7A) Sword (black) (no sound) (Item09)"
    Animation.Add "7B) Sword (black) (no sound) (Item0A)"
    Animation.Add "7C) Sword (black) (no sound) (Item0B)"
    Animation.Add "7D) Sword (black) (no sound) (Item0C)"
    Animation.Add "7E) Sword (black) (no sound) (Item0D)"
    Animation.Add "7F) Sword (black) (no sound) (Item0E)"
    Animation.Add "80) Unarmed (critical)"
    Animation.Add "81) Katana (grey) (corrected)"
    Animation.Add "82) Katana (grey)"
    Animation.Add "83) Katana (light blue) (corrected)"
    Animation.Add "84) Katana (light blue)"
    Animation.Add "85) Katana (critical)"
    Animation.Add "86) Katana (critical)"
    Animation.Add "87) Katana (critical)"
    Animation.Add "88) Katana (critical)"
    Animation.Add "89) Sword (black) (no sound)"
    Animation.Add "8A) Sword (black) (no sound)"
    Animation.Add "8B) Sword (black) (no sound)"
    Animation.Add "8C) Sword (black) (no sound)"
    Animation.Add "8D) Sword (black) (no sound)"
    Animation.Add "8E) Fire sword"
    Animation.Add "8F) Ice sword"
    Animation.Add "90) Bolt sword"
    Animation.Add "91) Venom sword"
    Animation.Add "92) Mute sword"
    Animation.Add "93) Sleep sword"
    Animation.Add "94) Fire sword"
    Animation.Add "95) Ice sword"
    Animation.Add "96) Bolt sword"
    Animation.Add "97) Drain sword"
    Animation.Add "98) Break sword"
    Animation.Add "99) Bio sword"
    Animation.Add "9A) Fire sword"
    Animation.Add "9B) Ice sword"
    Animation.Add "9C) Bolt sword"
    Animation.Add "9D) Holy sword"
    Animation.Add "9E) Flare sword"
    Animation.Add "9F) Psych sword"
    Animation.Add "A0) Parry long (Right hand)"
    Animation.Add "A1) Parry long (Left hand)"
    Animation.Add "A2) Elf Cape dodge"
    Animation.Add "A3) Golem guard ?"
    Animation.Add "A4) Evade"
    Animation.Add "A5) Shield block"
    Animation.Add "A6) Monster critical"
    Animation.Add "A7) Rod (grey)"
    Animation.Add "A8) Elf cape dodge ?"
    Animation.Add "A9) Rod (light blue)"
    Animation.Add "AA) Golem guard ?"
    Animation.Add "AB) ?"
    Animation.Add "AC) Golem guard ?"
    Animation.Add "AD) Katana (grey) (corrected)"
    Animation.Add "AE) Parry short (Left Hand)"
    Animation.Add "AF) Unarmed"
    Animation.Add "B0) Evade 2"
    Animation.Add "B1) Knife (light blue)"
    Animation.Add "B2) Parry long (Left Hand)"
    Animation.Add "B3) ?"
    Animation.Add "B4) Parry short (Left Hand)"
    Animation.Add "B5) Arrow (light grey)"
    Animation.Add "B6) Parry short (Left Hand)"
    Animation.Add "B7) Unarmed"
    Animation.Add "B8) Sword (grey)"
    Animation.Add "B9) ? (unused?)"
    Animation.Add "BA) ???"
    Animation.Add "BB) ???"
    Animation.Add "BC) ? (crashes game)"
    Animation.Add "BD) ? (crashes game)"
    Animation.Add "BE) ? (crashes game) (reset?)"
    Animation.Add "BF) ? (crashes game)"
    Animation.Add "C0) ?"
    Animation.Add "C1) Unarmed"
    Animation.Add "C2) ?"
    Animation.Add "C3) Unarmed"
    Animation.Add "C4) Rod (no animation)"
    Animation.Add "C5) ?"
    Animation.Add "C6) Knife (grey)"
    Animation.Add "C7) (Syldra?)"
    Animation.Add "C8) Venom sword"
    Animation.Add "C9) ?"
    Animation.Add "CA) Glitch - a must try ;)"
    Animation.Add "CB) Axe (pink)"
    Animation.Add "CC) Unarmed"
    Animation.Add "CD) Rod (yellow)"
    Animation.Add "CE) Rod (light blue)"
    Animation.Add "CF) Glitch (crashes game)"
    Animation.Add "D0) Glitch (crashes game)"
    Animation.Add "D1) Knife (grey)"
    Animation.Add "D2) Glitch (crashes game)"
    Animation.Add "D3) Unarmed"
    Animation.Add "D4) Axe (dark grey)"
    Animation.Add "D5) Scan?"
    Animation.Add "D6) ?"
    Animation.Add "D7) ?"
    Animation.Add "D8) Scan?"
    Animation.Add "D9) ? (crashes game)"
    Animation.Add "DA) ?"
    Animation.Add "DB) Knife (grey)"
    Animation.Add "DC) Sword (black) (no sound)"
    Animation.Add "DD) Sword (black) (no sound)"
    Animation.Add "DE) Unarmed"
    Animation.Add "DF) Unarmed"
    Animation.Add "E0) Sword (black) (no sound)"
    Animation.Add "E1) ?"
    Animation.Add "E2) ?"
    Animation.Add "E3) Show stats (endgame sequence)"
    Animation.Add "E4) Unarmed"
    Animation.Add "E5) Axe (yellow)"
    Animation.Add "E6) Axe (yellow)"
    Animation.Add "E7) Glitch (crashes game)"
    Animation.Add "E8) Rod (yellow)"
    Animation.Add "E9) Rod (pink)"
    Animation.Add "EA) Glitch (crashes game)"
    Animation.Add "EB) Glitch (crashes game)"
    Animation.Add "EC) Glitch (crashes game)"
    Animation.Add "ED) Glitch (crashes game)"
    Animation.Add "EE) ?"
    Animation.Add "EF) Glitch (crashes game) (Hiryu)"
    Animation.Add "F0) ? (Syldra)"
    Animation.Add "F1) Knife (grey)"
    Animation.Add "F2) ?"
    Animation.Add "F3) Katana (grey) (corrected)"
    Animation.Add "F4) Katana (grey) (corrected)"
    Animation.Add "F5) ?"
    Animation.Add "F6) ?"
    Animation.Add "F7) ?"
    Animation.Add "F8) ?"
    Animation.Add "F9) ?"
    Animation.Add "FA) ?"
    Animation.Add "FB) ?"
    Animation.Add "FC) ?"
    Animation.Add "FD) ?"
    Animation.Add "FE) ?"
    Animation.Add "FF) ?"
End Sub

Public Sub PopAttackFormula()
    AttackFormula.Add "No effect"
    AttackFormula.Add "Monster Attack"
    AttackFormula.Add "Monster Specialty"
    AttackFormula.Add "Magic Sword - Type 1"
    AttackFormula.Add "Magic Sword - Type 2"
    AttackFormula.Add "Magic Sword - Type 3"
    AttackFormula.Add "Offensive Magic"
    AttackFormula.Add "Fractional HP based damage"
    AttackFormula.Add "Pierce Magic defense"
    AttackFormula.Add "Random Damage"
    AttackFormula.Add "Physical magic"
    AttackFormula.Add "Level based damage (+ Status?)"
    AttackFormula.Add "HP leak"
    AttackFormula.Add "HP drain"
    AttackFormula.Add "MP drain"
    AttackFormula.Add "HP to critical"
    AttackFormula.Add "Restore HP (Magic)"
    AttackFormula.Add "Restore full HP (Magic)"
    AttackFormula.Add "Status 0 infliction"
    AttackFormula.Add "Status 1 infliction"
    AttackFormula.Add "Status 2 infliction"
    AttackFormula.Add "Toggle Status"
    AttackFormula.Add "Speed Status(Exclusive)"
    AttackFormula.Add "Instant death"
    AttackFormula.Add "Instant destroy"
    AttackFormula.Add "Status removal"
    AttackFormula.Add "Resurrection(fractional)"
    AttackFormula.Add "Whispering Wind"
    AttackFormula.Add "Element attribute change"
    AttackFormula.Add "View stats"
    AttackFormula.Add "Drag"
    AttackFormula.Add "Void"
    AttackFormula.Add "End battle"
    AttackFormula.Add "Reset battle"
    AttackFormula.Add "Double commands"
    AttackFormula.Add "Earth Wall"
    AttackFormula.Add "Restore HP (Item)"
    AttackFormula.Add "Restore MP (Item)"
    AttackFormula.Add "Restore HP / MP"
    AttackFormula.Add "Inflict status, ignore immunity"
    AttackFormula.Add "Fixed damage, ignore defense"
    AttackFormula.Add "Countdown destroy"
    AttackFormula.Add "Max HP based damage + HP leak"
    AttackFormula.Add "Current user HP based damage"
    AttackFormula.Add "Random effect"
    AttackFormula.Add "Ground attacks"
    AttackFormula.Add "Reaper's Sword"
    AttackFormula.Add "?"
    AttackFormula.Add "Unarmed"
    AttackFormula.Add "Swords"
    AttackFormula.Add "Knives"
    AttackFormula.Add "Spears"
    AttackFormula.Add "Axes , Staves"
    AttackFormula.Add "Bows (Status effect)"
    AttackFormula.Add "Bows (Elemental)"
    AttackFormula.Add "Katanas"
    AttackFormula.Add "Whips"
    AttackFormula.Add "Bells"
    AttackFormula.Add "Long reach axes"
    AttackFormula.Add "Rods"
    AttackFormula.Add "Rune weapons"
    AttackFormula.Add "Reduce HP to critical + Status"
    AttackFormula.Add "Reduce HP to critical or HP Leak"
    AttackFormula.Add "Zombie Breath"
    AttackFormula.Add "Change Row"
    AttackFormula.Add "?"
    AttackFormula.Add "HP and status restored"
    AttackFormula.Add "!Steal (command)"
    AttackFormula.Add "Escape (enemy)"
    AttackFormula.Add "!Throw (command)"
    AttackFormula.Add "!GilToss (command)"
    AttackFormula.Add "!Tame (command)"
    AttackFormula.Add "!Catch (command)"
    AttackFormula.Add "Flirt"
    AttackFormula.Add "!Dance(Command)"
    AttackFormula.Add "Lv5 Doom"
    AttackFormula.Add "Lv2 Old"
    AttackFormula.Add "Lv4 Quarter"
    AttackFormula.Add "Lv3 Flare"
    AttackFormula.Add "Revive + Status"
    AttackFormula.Add "Goblin Punch"
    AttackFormula.Add "Level/Defense modifier"
    AttackFormula.Add "HP Leak + Status"
    AttackFormula.Add "Current MP damage"
    AttackFormula.Add "Max - Current HP damage"
    AttackFormula.Add "Kill Caster, Heal Raget"
    AttackFormula.Add "?"
    AttackFormula.Add "HP Leak + Status"
    AttackFormula.Add "Flare damage + HP Leak + Status"
    AttackFormula.Add "HP boost"
    AttackFormula.Add "Heal HP based on current suser HP"
    AttackFormula.Add "?"
    AttackFormula.Add "Full Heal + Status"
    AttackFormula.Add "Zombie magic"
    AttackFormula.Add "Increase stats while Singing"
    AttackFormula.Add "Damage creature type while Singing"
    AttackFormula.Add "Unhide Monster"
    AttackFormula.Add "Stalker Attack"
    AttackFormula.Add "Unhide Next Page"
    AttackFormula.Add "Grand Cross"
    AttackFormula.Add "Chicken Knife"
    AttackFormula.Add "Interceptor Rocket"
    AttackFormula.Add "Targeting"
    AttackFormula.Add "Pull"
    AttackFormula.Add "Terminate"
    AttackFormula.Add "!Control (command)"
    AttackFormula.Add "? (Sandworm's Death)"
    AttackFormula.Add "Status Immunity, Magic Element UP, Creature Type"
    AttackFormula.Add "Strong vs. Creature type"
    AttackFormula.Add "Drain HP based on current HP"
    AttackFormula.Add "Brave Blade"
    AttackFormula.Add "Strong Fight"
    AttackFormula.Add "Wormhole"
    AttackFormula.Add "Level Down"
    AttackFormula.Add "Bows strong vs. Creature type"
    AttackFormula.Add "Spears Strong vs. Creature type"
    AttackFormula.Add "Unhide Monster"
    AttackFormula.Add "Terminate"
    AttackFormula.Add "?"
    AttackFormula.Add "?"
    AttackFormula.Add "?"
    AttackFormula.Add "?"
    AttackFormula.Add "?"
    AttackFormula.Add "?"
    AttackFormula.Add "?"
    AttackFormula.Add "?"
    AttackFormula.Add "Innefective"
    AttackFormula.Add "No Action"
End Sub

Public Sub PopCharacters()
    Characters.Add "Butz"
    Characters.Add "Lenna"
    Characters.Add "Galuf"
    Characters.Add "Faris"
    Characters.Add "Krile"
    Characters.Add "Glitch (1)"
    Characters.Add "Glitch (2)"
    Characters.Add "Glitch (3)"
        
End Sub

Public Sub PopEnemies()
    Enemies.Add "Goblin"
    Enemies.Add "Killer Bee"
    Enemies.Add "Nut Eater"
    Enemies.Add "Stray Cat"
    Enemies.Add "Steel Bat"
    Enemies.Add "Dearo"
    Enemies.Add "Stroper"
    Enemies.Add "Black Goblin"
    Enemies.Add "White Snake"
    Enemies.Add "Mold Wind"
    Enemies.Add "ManiWizard"
    Enemies.Add "Magic Pot"
    Enemies.Add "Sucker"
    Enemies.Add "Octoraken"
    Enemies.Add "Gatlings"
    Enemies.Add "Bighorn"
    Enemies.Add "Tatu"
    Enemies.Add "Bander S."
    Enemies.Add "Galura"
    Enemies.Add "Skeleton"
    Enemies.Add "Carcurser"
    Enemies.Add "UndeadRusk"
    Enemies.Add "PsychoHead"
    Enemies.Add "RockGarter"
    Enemies.Add "Gala Cat"
    Enemies.Add "Cockatrice"
    Enemies.Add "Blocks"
    Enemies.Add "Elf Toad"
    Enemies.Add "IceSoldier"
    Enemies.Add "RikaldMage"
    Enemies.Add "Wyvern"
    Enemies.Add "Padosule"
    Enemies.Add "Byblos"
    Enemies.Add "Aegil"
    Enemies.Add "Zuu"
    Enemies.Add "Wild Nack"
    Enemies.Add "GrassTurtle"
    Enemies.Add "Silent Bee"
    Enemies.Add "Mithril Drgn"
    Enemies.Add "Ramuh"
    Enemies.Add "Crew Dust"
    Enemies.Add "Poltergeist"
    Enemies.Add "Motor Trap"
    Enemies.Add "Defeater"
    Enemies.Add "Garkimasra"
    Enemies.Add "Sergeant"
    Enemies.Add "Sorcerer"
    Enemies.Add "Karnak"
    Enemies.Add "Gigas"
    Enemies.Add "Page 32"
    Enemies.Add "Page 64"
    Enemies.Add "Page 128"
    Enemies.Add "Page 256"
    Enemies.Add "Ifrit"
    Enemies.Add "Bomb"
    Enemies.Add "TwinLizard"
    Enemies.Add "BioSoldier"
    Enemies.Add "Crescent"
    Enemies.Add "BlackFlame"
    Enemies.Add "StoneGolem"
    Enemies.Add "MiniDragon"
    Enemies.Add "Prototype"
    Enemies.Add "D.Chimera"
    Enemies.Add "Sand Porky"
    Enemies.Add "Sand Killer"
    Enemies.Add "Sand Bear"
    Enemies.Add "Ra Mage"
    Enemies.Add "LonkaKnght"
    Enemies.Add "StonedMask"
    Enemies.Add "Whirl Demon"
    Enemies.Add "Lamia"
    Enemies.Add "ArchaeToad"
    Enemies.Add "Hyudora"
    Enemies.Add "Hydra"
    Enemies.Add "Water Buzz"
    Enemies.Add "Torrent"
    Enemies.Add "Rock Brain"
    Enemies.Add "Tarantula"
    Enemies.Add "Jail Bear"
    Enemies.Add "Lunenta"
    Enemies.Add "Dilure"
    Enemies.Add "Faery Orc"
    Enemies.Add "Devourer"
    Enemies.Add "Mandrake"
    Enemies.Add "Kuzar"
    Enemies.Add "Cactus"
    Enemies.Add "Sand Crawl"
    Enemies.Add "ShieldDrgn"
    Enemies.Add "Blood Slime"
    Enemies.Add "Acrophese"
    Enemies.Add "MooglEater"
    Enemies.Add "Lopros"
    Enemies.Add "Skull Eater"
    Enemies.Add "Aquathone"
    Enemies.Add "Weresnake"
    Enemies.Add "Conago"
    Enemies.Add "Ridicule"
    Enemies.Add "Andagranda"
    Enemies.Add "Drippy"
    Enemies.Add "Likaon"
    Enemies.Add "BoneDragon"
    Enemies.Add "Sting Eagle"
    Enemies.Add "ZombieDrgn"
    Enemies.Add "Golem (1st Form)"
    Enemies.Add "Neon"
    Enemies.Add "Magnetes"
    Enemies.Add "Wall Knight"
    Enemies.Add "Traveler"
    Enemies.Add "Tricker"
    Enemies.Add "Gravido"
    Enemies.Add "Ziggurat"
    Enemies.Add "Cure Beast"
    Enemies.Add "Land Turtle"
    Enemies.Add "Bold Mani"
    Enemies.Add "Shoat"
    Enemies.Add "MiniMage"
    Enemies.Add "GajraGajri"
    Enemies.Add "Mammon"
    Enemies.Add "Imp"
    Enemies.Add "Wyrm"
    Enemies.Add "Twin Lizard"
    Enemies.Add "Blind Wolf"
    Enemies.Add "Arage"
    Enemies.Add "Wall Mage"
    Enemies.Add "Magic Drgn"
    Enemies.Add "DarkWizard"
    Enemies.Add "AdamaGolem"
    Enemies.Add "BalderKuar"
    Enemies.Add "Motordrive"
    Enemies.Add "BlueDragon"
    Enemies.Add "Red Dragon"
    Enemies.Add "Yellow Drgn"
    Enemies.Add "Sleepy"
    Enemies.Add "Treeman"
    Enemies.Add "Hedgehog"
    Enemies.Add "Python"
    Enemies.Add "Shadow"
    Enemies.Add "Elm Gigas"
    Enemies.Add "Pao"
    Enemies.Add "Radiator"
    Enemies.Add "Metamorpha"
    Enemies.Add "Unknown (Spore B)"
    Enemies.Add "Desertpede"
    Enemies.Add "Barette"
    Enemies.Add "Sekmet"
    Enemies.Add "BlandLamia"
    Enemies.Add "Pyra Layer"
    Enemies.Add "Nile"
    Enemies.Add "Archaesaur"
    Enemies.Add "ZephyrZone"
    Enemies.Add "ExdethSoul"
    Enemies.Add "Slug"
    Enemies.Add "GloomWidow"
    Enemies.Add "Mukare"
    Enemies.Add "Ixecrator"
    Enemies.Add "Owazoral"
    Enemies.Add "ShdwDancer"
    Enemies.Add "Cursed one"
    Enemies.Add "Slownin"
    Enemies.Add "TinyMage"
    Enemies.Add "Dim Master"
    Enemies.Add "Bone Dragon"
    Enemies.Add "Flare"
    Enemies.Add "DuelKnight"
    Enemies.Add "Ion"
    Enemies.Add "Berserker"
    Enemies.Add "Zombie Dragon"
    Enemies.Add "Druid"
    Enemies.Add "Iron Dress"
    Enemies.Add "Statue"
    Enemies.Add "Blizzard"
    Enemies.Add "Isteritos"
    Enemies.Add "Spizner"
    Enemies.Add "Unknown (Blob)"
    Enemies.Add "Unknown (Worm)"
    Enemies.Add "Unknown (Spore A)"
    Enemies.Add "Unknown (Skeleton)"
    Enemies.Add "Mercury Bat"
    Enemies.Add "Coral"
    Enemies.Add "Tonberi"
    Enemies.Add "Gel Water"
    Enemies.Add "Fall Guard"
    Enemies.Add "Alcumia"
    Enemies.Add "Red Dragon(Alcumia)"
    Enemies.Add "Hydra (Alcumia)"
    Enemies.Add "BoneDragon (Alcumia)"
    Enemies.Add "Grenade"
    Enemies.Add "Sword Dancer"
    Enemies.Add "Bardandels"
    Enemies.Add "Doom Dealer"
    Enemies.Add "Anku Heggu"
    Enemies.Add "Ammona"
    Enemies.Add "Land Crawl"
    Enemies.Add "Chamcubia"
    Enemies.Add "Bella Donna"
    Enemies.Add "Cherie"
    Enemies.Add "White Flame"
    Enemies.Add "MossFungus"
    Enemies.Add "Orcat"
    Enemies.Add "Iron Giant"
    Enemies.Add "Death Claw"
    Enemies.Add "K.Behemoth"
    Enemies.Add "Farfarerro"
    Enemies.Add "Necromancr"
    Enemies.Add "Ninja"
    Enemies.Add "Great Drgn"
    Enemies.Add "AvisDragon"
    Enemies.Add "Gorchimera"
    Enemies.Add "LevelCheck"
    Enemies.Add "Mind Mage"
    Enemies.Add "Fury"
    Enemies.Add "Thing"
    Enemies.Add "Mover"
    Enemies.Add "CrysDragon"
    Enemies.Add "Achelone"
    Enemies.Add "Bodyguard"
    Enemies.Add "Gilgamesh (Void)"
    Enemies.Add "Sahagin"
    Enemies.Add "Th.Anemone"
    Enemies.Add "Sea Avis"
    Enemies.Add "Corvette"
    Enemies.Add "Armon"
    Enemies.Add "SeaScorpio"
    Enemies.Add "Silvune"
    Enemies.Add "Gel Fish"
    Enemies.Add "Giant Bird"
    Enemies.Add "Sea Devil"
    Enemies.Add "Stingray"
    Enemies.Add "???? (Golem)"
    Enemies.Add "Golem (2nd Form)"
    Enemies.Add "Chimera"
    Enemies.Add "Shiva (Metamorpha)"
    Enemies.Add "Ifrit (Metamorpha)"
    Enemies.Add "Ramuh (Metamorpha)"
    Enemies.Add "Gala Cat (Metamorpha)"
    Enemies.Add "Wyvern (Metamorpha)"
    Enemies.Add "Elf Toad (Metamorpha)"
    Enemies.Add "Crew Dust (Metamorpha)"
    Enemies.Add "Whirl Demon (Metamorpha)"
    Enemies.Add "ZombieDrgn (Metamorpha)"
    Enemies.Add "D.Chimera (Zephyr Zone)"
    Enemies.Add "AdamaGolem (Zephyr Zone)"
    Enemies.Add "Ziggurat (Zephyr Zone)"
    Enemies.Add "LonkaKnght (Zephyr Zone)"
    Enemies.Add "BioSoldier (Zephyr Zone)"
    Enemies.Add "Lunenta (Zephyr Zone)"
    Enemies.Add "Tote Avis"
    Enemies.Add "Belfegor"
    Enemies.Add "Imp (Exdeath Castle)"
    Enemies.Add "Owazoral (Exdeath Castle)"
    Enemies.Add "Garkimasra (Exdeath Castle)"
    Enemies.Add "Gabbledegak"
    Enemies.Add "Gil Turtle"
    Enemies.Add "Omega"
    Enemies.Add "Big Boss"
    Enemies.Add "None"
    Enemies.Add "WingRaptor (1st Form)"
    Enemies.Add "WingRaptor (2nd Form)"
    Enemies.Add "Karlaboss"
    Enemies.Add "Twin Tania (2nd form)"
    Enemies.Add "Siren (1st Form)"
    Enemies.Add "Siren (2nd Form)"
    Enemies.Add "Forza"
    Enemies.Add "Magisa"
    Enemies.Add "Galura (Boss)"
    Enemies.Add "LiquiFlame (Human)"
    Enemies.Add "LiquiFlame (Hand)"
    Enemies.Add "LiquiFlame (Whirlwind)"
    Enemies.Add "Commander"
    Enemies.Add "Sandworm"
    Enemies.Add "Hole (Sandworm)"
    Enemies.Add "____ (Sandworm)"
    Enemies.Add "AdamanTiMi"
    Enemies.Add "FlameGun"
    Enemies.Add "Rocket"
    Enemies.Add "Exdeath (Final Battle)"
    Enemies.Add "Sol Cannon"
    Enemies.Add "Archaeavis (1st Form)"
    Enemies.Add "Archaeavis (2nd Form)"
    Enemies.Add "Archaeavis (3rd Form)"
    Enemies.Add "Archaeavis (4th Form)"
    Enemies.Add "Archaeavis (Undead)"
    Enemies.Add "Chim.Brain"
    Enemies.Add "Titan"
    Enemies.Add "Puroboros"
    Enemies.Add "Abductor (Butz Battle)"
    Enemies.Add "Gilgamesh (Dungeon)"
    Enemies.Add "Fishman"
    Enemies.Add "FlyingKillr"
    Enemies.Add "Lil' Chariot"
    Enemies.Add "NeoGalura"
    Enemies.Add "Gilgamesh (Bridge)"
    Enemies.Add "Tyrasaurus"
    Enemies.Add "Shiva"
    Enemies.Add "Abductor (Val Castle)"
    Enemies.Add "HiryuuPlant"
    Enemies.Add "HiryuuFlowr (1)"
    Enemies.Add "HiryuuFlowr (2)"
    Enemies.Add "HiryuuFlowr (3)"
    Enemies.Add "HiryuuFlowr (4)"
    Enemies.Add "HiryuuFlowr (5)"
    Enemies.Add "Gilgamesh (Zeza's Fleet)"
    Enemies.Add "Enkidou"
    Enemies.Add "Atmos"
    Enemies.Add "(Seal Guardian - Fire)"
    Enemies.Add "(Seal Guardian - Earth)"
    Enemies.Add "(Seal Guardian - Water)"
    Enemies.Add "(Seal Guardian - Air)"
    Enemies.Add "Carbunkle (1st Form)"
    Enemies.Add "Merugene (*Dummy)"
    Enemies.Add "Gilgamesh (Morphed - Exdeath Castle)"
    Enemies.Add "Exdeath (Exdeath Castle)"
    Enemies.Add "Antlion"
    Enemies.Add "Mummy"
    Enemies.Add "Aspis"
    Enemies.Add "MachinHead"
    Enemies.Add "Merugene (1st Form)"
    Enemies.Add "Merugene (2nd Form)"
    Enemies.Add "Merugene (3rd Form)"
    Enemies.Add "Merugene (4th Form)"
    Enemies.Add "Odin"
    Enemies.Add "Gargoyle"
    Enemies.Add "Triton"
    Enemies.Add "Neregeid"
    Enemies.Add "Phobos"
    Enemies.Add "Omniscient"
    Enemies.Add "Minotauros"
    Enemies.Add "Leviathan"
    Enemies.Add "Stalker"
    Enemies.Add "Gogo"
    Enemies.Add "Bahamut"
    Enemies.Add "Jura Avis"
    Enemies.Add "Halicarnaso"
    Enemies.Add "Exdeath (vs Galuf)"
    Enemies.Add "Neo Exdeath (Fake 1)"
    Enemies.Add "Neo Exdeath (Fake 2)"
    Enemies.Add "Goblin (Butz Fight)"
    Enemies.Add "Iron Claw"
    Enemies.Add "Sergeant (Iron Claw)"
    Enemies.Add "Karnak (Iron Claw)"
    Enemies.Add "Crayclaw"
    Enemies.Add "NeoGoblin"
    Enemies.Add "Calofisteri"
    Enemies.Add "Apocalypse"
    Enemies.Add "Catastroph"
    Enemies.Add "Necrofobia"
    Enemies.Add "Twin Tania (1st form)"
    Enemies.Add "Launcher"
    Enemies.Add "Launcher"
    Enemies.Add "Gilgamesh (Exdeath Castle)"""
    Enemies.Add "Carbunkle (2nd Form)"
    Enemies.Add "GrandMummy"
    Enemies.Add "Apanda"
    Enemies.Add "Alte Roite"
    Enemies.Add "Invisible"
    Enemies.Add "Abductor (Exdeath Castle)"
    Enemies.Add "BandelKuar (Phoenix Tower)"
    Enemies.Add "LiquiFlame (Phoenix Tower)"
    Enemies.Add "Kuzar (Phoenix Tower)"
    Enemies.Add "Sol Cannon (Phoenix Tower)"
    Enemies.Add "Pantera"
    Enemies.Add "Shinryuu"
    Enemies.Add "Barrier"
    Enemies.Add "Neo Exdeath (Part 1)"
    Enemies.Add "Neo Exdeath (Part 2)"
    Enemies.Add "Neo Exdeath (Part 3)"
    Enemies.Add "Neo Exdeath (Part 4)"
    Enemies.Add "Gilgamesh (Necrofobia)"
End Sub

Public Sub PopItems()
    Items.Add "Nothing"
    Items.Add "Empty"
    Items.Add "Knife"
    Items.Add "Dagger"
    Items.Add "Mythril Knife"
    Items.Add "Kunai"
    Items.Add "Mage Masher"
    Items.Add "Guardian"
    Items.Add "Kodachi"
    Items.Add "Orialcon Dirk"
    Items.Add "Air Knife"
    Items.Add "Assassin's Dagger"
    Items.Add "Hardened"
    Items.Add "Broadsword"
    Items.Add "RegalCut"
    Items.Add "Mythril Sword"
    Items.Add "Coral Sword"
    Items.Add "Ancient Sword"
    Items.Add "Epee"
    Items.Add "Slumber Sword"
    Items.Add "Defender Sword"
    Items.Add "Excalibur"
    Items.Add "Ragnarok"
    Items.Add "Javelin"
    Items.Add "Spear"
    Items.Add "Mythril Spear"
    Items.Add "Trident"
    Items.Add "Wind Spear"
    Items.Add "Partisan"
    Items.Add "Gugnir"
    Items.Add "Twin Lance"
    Items.Add "Holy Lance"
    Items.Add "Dragon Lance"
    Items.Add "Battle Axe"
    Items.Add "Mythril Hammer"
    Items.Add "Ogre Killer"
    Items.Add "War Hammer"
    Items.Add "Venom Axe"
    Items.Add "Earth Hammer"
    Items.Add "Rune Axe"
    Items.Add "Thor's Hammer"
    Items.Add "Katana"
    Items.Add "Air Blade"
    Items.Add "Kotetsu"
    Items.Add "Bizen"
    Items.Add "Forged"
    Items.Add "Murasame"
    Items.Add "Masamune"
    Items.Add "Tempest"
    Items.Add "Rod"
    Items.Add "Fire Rod"
    Items.Add "Ice Rod"
    Items.Add "Thunder Rod"
    Items.Add "Venom Rod"
    Items.Add "Lillith Rod"
    Items.Add "Wizard Rod"
    Items.Add "Staff"
    Items.Add "Mythril Staff"
    Items.Add "Power Staff"
    Items.Add "Healing Staff"
    Items.Add "Staff of Light"
    Items.Add "Sage's Staff"
    Items.Add "Judgment Staff"
    Items.Add "Flame Bow"
    Items.Add "Frost Bow"
    Items.Add "Thunder Bow"
    Items.Add "Darkness Bow"
    Items.Add "Killer Bow"
    Items.Add "Elven Bow"
    Items.Add "Yoichi's Bow"
    Items.Add "Artemis' Bow"
    Items.Add "Silver Harp"
    Items.Add "Dream Harp"
    Items.Add "Lamia's Harp"
    Items.Add "Apollo's Harp"
    Items.Add "Whip"
    Items.Add "Chain Whip"
    Items.Add "Thunder Whip"
    Items.Add "Flame Whip"
    Items.Add "Dragon's Whisker"
    Items.Add "Giyaman"
    Items.Add "Earth Bell"
    Items.Add "Rune Chime"
    Items.Add "Tinkerbell"
    Items.Add "*Sabre"
    Items.Add "Drain Sword"
    Items.Add "Rune Edge"
    Items.Add "Flametongue"
    Items.Add "Icebrand"
    Items.Add "Full Moon"
    Items.Add "Shuriken"
    Items.Add "Fuuma Shuriken"
    Items.Add "Excalipoor"
    Items.Add "Beast Killer"
    Items.Add "Flail"
    Items.Add "Morning Star"
    Items.Add "Wonder Wand"
    Items.Add "Brave Blade"
    Items.Add "Soot"
    Items.Add "Chicken Knife"
    Items.Add "Rising Sun"
    Items.Add "Silver Bow"
    Items.Add "Gale Bow"
    Items.Add "Anti-Magic Bow"
    Items.Add "Avis Killer"
    Items.Add "Doomcut"
    Items.Add "Giant's Axe"
    Items.Add "Man Eater"
    Items.Add "Thief Knife"
    Items.Add "Dancing Dagger"
    Items.Add "Enhancer"
    Items.Add "*L-Hand"
    Items.Add "*R-Hand"
    Items.Add "*Item 00"
    Items.Add "*Item 01"
    Items.Add "*Item 02"
    Items.Add "*Item 03"
    Items.Add "*Item 04"
    Items.Add "*Item 05"
    Items.Add "*Item 06"
    Items.Add "*Item 07"
    Items.Add "*Item 08"
    Items.Add "*Item 09"
    Items.Add "*Item 0A"
    Items.Add "*Item 0B"
    Items.Add "*Item 0C"
    Items.Add "*Item 0D"
    Items.Add "*Item 0E"
    Items.Add "Nothing"
    Items.Add "Leather Shield"
    Items.Add "Bronze Shield"
    Items.Add "Iron Shield"
    Items.Add "Mythril Shield"
    Items.Add "Golden Shield"
    Items.Add "Aegis Shield"
    Items.Add "Diamond Shield"
    Items.Add "Crystal Shield"
    Items.Add "Leather Cap"
    Items.Add "Bronze Helm"
    Items.Add "Iron Helm"
    Items.Add "Mythril Helm"
    Items.Add "Gold Helm"
    Items.Add "Diamond Helm"
    Items.Add "Crystal Helm"
    Items.Add "Plumed Hat"
    Items.Add "Tricorn Hat"
    Items.Add "Magus"
    Items.Add "Circlet"
    Items.Add "Gold Hairpin"
    Items.Add "Ribbon"
    Items.Add "Bandana"
    Items.Add "Green Beret"
    Items.Add "Dark Hood"
    Items.Add "Lamia's Tiara"
    Items.Add "Leather Armor"
    Items.Add "Bronze Armor"
    Items.Add "Iron Armor"
    Items.Add "Mythril Armor"
    Items.Add "Golden Armor"
    Items.Add "Diamond Armor"
    Items.Add "Crystal Armor"
    Items.Add "Copper Plate"
    Items.Add "Training Suit"
    Items.Add "Silver Plate"
    Items.Add "Stealth Suit"
    Items.Add "Diamond Plate"
    Items.Add "DarkSuit"
    Items.Add "Cotton Robe"
    Items.Add "Silk Robe"
    Items.Add "Gaia Gear"
    Items.Add "Bard's Surplice"
    Items.Add "Lumina Robe"
    Items.Add "Black Robe"
    Items.Add "White Robe"
    Items.Add "Mirage Vest"
    Items.Add "Guard Ring"
    Items.Add "Thief's Glove"
    Items.Add "Giant's Glove"
    Items.Add "Elf Cape"
    Items.Add "Cursed Ring"
    Items.Add "Glasses"
    Items.Add "Running Shoes"
    Items.Add "Mythril Glove"
    Items.Add "Silver Armlet"
    Items.Add "Diamond Armlet"
    Items.Add "Strength Sash"
    Items.Add "Power Wrist"
    Items.Add "Angel Gwn"
    Items.Add "Angel Ring"
    Items.Add "Flame Ring"
    Items.Add "Coral Ring"
    Items.Add "Bone Mail"
    Items.Add "Leather Shoes"
    Items.Add "Kaiser Knuckles"
    Items.Add "Gauntlet"
    Items.Add "Tiger Mask"
    Items.Add "Flame Shield"
    Items.Add "Conago Jar"
    Items.Add "Genji Shield"
    Items.Add "Genji Helmet"
    Items.Add "Genji Armor"
    Items.Add "Genji Gloves"
    Items.Add "Wall Ring"
    Items.Add "Coronet"
    Items.Add "Thornlet"
    Items.Add "Ice Shield"
    Items.Add "Cursed Shield"
    Items.Add "Rainbow Dress"
    Items.Add "Red Slippers"
    Items.Add "*Item 10"
    Items.Add "*Item 11"
    Items.Add "*Item 12"
    Items.Add "*Item 13"
    Items.Add "*Item 14"
    Items.Add "*Item 15"
    Items.Add "*Item 16"
    Items.Add "*Item 17"
    Items.Add "*Item 18"
    Items.Add "*Item 19"
    Items.Add "*Item 1A"
    Items.Add "*Item 1B"
    Items.Add "*Item 1C"
    Items.Add "*Item 1D"
    Items.Add "*Item 1E"
    Items.Add "Potion"
    Items.Add "Hi-Potion"
    Items.Add "Ether"
    Items.Add "Elixir"
    Items.Add "Phoenix Down"
    Items.Add "Maiden's Kiss"
    Items.Add "Holy Water"
    Items.Add "Turtle Shell"
    Items.Add "Antidote"
    Items.Add "Eyedrop"
    Items.Add "Dragon Fang"
    Items.Add "Dark Matter"
    Items.Add "Soft"
    Items.Add "LuckMallet"
    Items.Add "*Dummy"
    Items.Add "Magic Lamp"
    Items.Add "Tent"
    Items.Add "Cottage"
    Items.Add "Giant Drink"
    Items.Add "Power Drink"
    Items.Add "Speed Drink"
    Items.Add "Protect Drink"
    Items.Add "Hero Drink"
    Items.Add "Dragon Crest"
    Items.Add "Omega Medal"
    Items.Add "Ramuh"
    Items.Add "Shoat"
    Items.Add "Golem"
    Items.Add "Flame Tech"
    Items.Add "Water Tech"
    Items.Add "Thunder Tech"
    Items.Add "*Final Fantasy"
End Sub

Public Sub PopItemIconsID()
    ItemIcons.Add "1"
    ItemIcons.Add "1"
    ItemIcons.Add "2"
    ItemIcons.Add "2"
    ItemIcons.Add "2"
    ItemIcons.Add "2"
    ItemIcons.Add "2"
    ItemIcons.Add "2"
    ItemIcons.Add "2"
    ItemIcons.Add "2"
    ItemIcons.Add "2"
    ItemIcons.Add "2"
    ItemIcons.Add "2"
    ItemIcons.Add "3"
    ItemIcons.Add "3"
    ItemIcons.Add "3"
    ItemIcons.Add "3"
    ItemIcons.Add "3"
    ItemIcons.Add "3"
    ItemIcons.Add "3"
    ItemIcons.Add "3"
    ItemIcons.Add "3"
    ItemIcons.Add "3"
    ItemIcons.Add "4"
    ItemIcons.Add "4"
    ItemIcons.Add "4"
    ItemIcons.Add "4"
    ItemIcons.Add "4"
    ItemIcons.Add "4"
    ItemIcons.Add "4"
    ItemIcons.Add "14"
    ItemIcons.Add "4"
    ItemIcons.Add "4"
    ItemIcons.Add "5"
    ItemIcons.Add "6"
    ItemIcons.Add "5"
    ItemIcons.Add "6"
    ItemIcons.Add "5"
    ItemIcons.Add "6"
    ItemIcons.Add "5"
    ItemIcons.Add "6"
    ItemIcons.Add "7"
    ItemIcons.Add "7"
    ItemIcons.Add "7"
    ItemIcons.Add "7"
    ItemIcons.Add "7"
    ItemIcons.Add "7"
    ItemIcons.Add "7"
    ItemIcons.Add "7"
    ItemIcons.Add "8"
    ItemIcons.Add "8"
    ItemIcons.Add "8"
    ItemIcons.Add "8"
    ItemIcons.Add "8"
    ItemIcons.Add "8"
    ItemIcons.Add "8"
    ItemIcons.Add "9"
    ItemIcons.Add "9"
    ItemIcons.Add "9"
    ItemIcons.Add "9"
    ItemIcons.Add "9"
    ItemIcons.Add "9"
    ItemIcons.Add "9"
    ItemIcons.Add "10"
    ItemIcons.Add "10"
    ItemIcons.Add "10"
    ItemIcons.Add "10"
    ItemIcons.Add "10"
    ItemIcons.Add "10"
    ItemIcons.Add "10"
    ItemIcons.Add "10"
    ItemIcons.Add "11"
    ItemIcons.Add "11"
    ItemIcons.Add "11"
    ItemIcons.Add "11"
    ItemIcons.Add "12"
    ItemIcons.Add "12"
    ItemIcons.Add "12"
    ItemIcons.Add "12"
    ItemIcons.Add "12"
    ItemIcons.Add "13"
    ItemIcons.Add "13"
    ItemIcons.Add "13"
    ItemIcons.Add "13"
    ItemIcons.Add "2"
    ItemIcons.Add "3"
    ItemIcons.Add "3"
    ItemIcons.Add "3"
    ItemIcons.Add "3"
    ItemIcons.Add "14"
    ItemIcons.Add "15"
    ItemIcons.Add "15"
    ItemIcons.Add "3"
    ItemIcons.Add "12"
    ItemIcons.Add "14"
    ItemIcons.Add "14"
    ItemIcons.Add "8"
    ItemIcons.Add "3"
    ItemIcons.Add "14"
    ItemIcons.Add "2"
    ItemIcons.Add "14"
    ItemIcons.Add "10"
    ItemIcons.Add "10"
    ItemIcons.Add "10"
    ItemIcons.Add "10"
    ItemIcons.Add "5"
    ItemIcons.Add "5"
    ItemIcons.Add "2"
    ItemIcons.Add "2"
    ItemIcons.Add "2"
    ItemIcons.Add "3"
    ItemIcons.Add "1"
    ItemIcons.Add "1"
    ItemIcons.Add "1"
    ItemIcons.Add "1"
    ItemIcons.Add "1"
    ItemIcons.Add "1"
    ItemIcons.Add "1"
    ItemIcons.Add "1"
    ItemIcons.Add "1"
    ItemIcons.Add "1"
    ItemIcons.Add "1"
    ItemIcons.Add "1"
    ItemIcons.Add "1"
    ItemIcons.Add "1"
    ItemIcons.Add "1"
    ItemIcons.Add "1"
    ItemIcons.Add "1"
    ItemIcons.Add "1"
    ItemIcons.Add "16"
    ItemIcons.Add "16"
    ItemIcons.Add "16"
    ItemIcons.Add "16"
    ItemIcons.Add "16"
    ItemIcons.Add "16"
    ItemIcons.Add "16"
    ItemIcons.Add "16"
    ItemIcons.Add "17"
    ItemIcons.Add "17"
    ItemIcons.Add "17"
    ItemIcons.Add "17"
    ItemIcons.Add "17"
    ItemIcons.Add "17"
    ItemIcons.Add "17"
    ItemIcons.Add "17"
    ItemIcons.Add "17"
    ItemIcons.Add "17"
    ItemIcons.Add "17"
    ItemIcons.Add "17"
    ItemIcons.Add "18"
    ItemIcons.Add "17"
    ItemIcons.Add "17"
    ItemIcons.Add "17"
    ItemIcons.Add "17"
    ItemIcons.Add "19"
    ItemIcons.Add "20"
    ItemIcons.Add "20"
    ItemIcons.Add "20"
    ItemIcons.Add "20"
    ItemIcons.Add "20"
    ItemIcons.Add "20"
    ItemIcons.Add "20"
    ItemIcons.Add "19"
    ItemIcons.Add "20"
    ItemIcons.Add "19"
    ItemIcons.Add "20"
    ItemIcons.Add "19"
    ItemIcons.Add "19"
    ItemIcons.Add "19"
    ItemIcons.Add "19"
    ItemIcons.Add "19"
    ItemIcons.Add "19"
    ItemIcons.Add "19"
    ItemIcons.Add "19"
    ItemIcons.Add "19"
    ItemIcons.Add "21"
    ItemIcons.Add "22"
    ItemIcons.Add "22"
    ItemIcons.Add "21"
    ItemIcons.Add "21"
    ItemIcons.Add "21"
    ItemIcons.Add "23"
    ItemIcons.Add "22"
    ItemIcons.Add "21"
    ItemIcons.Add "21"
    ItemIcons.Add "19"
    ItemIcons.Add "21"
    ItemIcons.Add "19"
    ItemIcons.Add "21"
    ItemIcons.Add "21"
    ItemIcons.Add "21"
    ItemIcons.Add "20"
    ItemIcons.Add "23"
    ItemIcons.Add "24"
    ItemIcons.Add "22"
    ItemIcons.Add "17"
    ItemIcons.Add "16"
    ItemIcons.Add "21"
    ItemIcons.Add "16"
    ItemIcons.Add "17"
    ItemIcons.Add "20"
    ItemIcons.Add "22"
    ItemIcons.Add "21"
    ItemIcons.Add "17"
    ItemIcons.Add "17"
    ItemIcons.Add "16"
    ItemIcons.Add "16"
    ItemIcons.Add "19"
    ItemIcons.Add "23"
    ItemIcons.Add "1"
    ItemIcons.Add "1"
    ItemIcons.Add "1"
    ItemIcons.Add "1"
    ItemIcons.Add "1"
    ItemIcons.Add "1"
    ItemIcons.Add "1"
    ItemIcons.Add "1"
    ItemIcons.Add "1"
    ItemIcons.Add "1"
    ItemIcons.Add "1"
    ItemIcons.Add "1"
    ItemIcons.Add "1"
    ItemIcons.Add "1"
    ItemIcons.Add "1"
    ItemIcons.Add "1"
    ItemIcons.Add "1"
    ItemIcons.Add "1"
    ItemIcons.Add "1"
    ItemIcons.Add "1"
    ItemIcons.Add "1"
    ItemIcons.Add "1"
    ItemIcons.Add "1"
    ItemIcons.Add "1"
    ItemIcons.Add "1"
    ItemIcons.Add "1"
    ItemIcons.Add "1"
    ItemIcons.Add "1"
    ItemIcons.Add "1"
    ItemIcons.Add "1"
    ItemIcons.Add "1"
    ItemIcons.Add "25"
    ItemIcons.Add "25"
    ItemIcons.Add "26"
    ItemIcons.Add "26"
    ItemIcons.Add "26"
    ItemIcons.Add "26"
    ItemIcons.Add "26"
    ItemIcons.Add "1"
    ItemIcons.Add "1"
    ItemIcons.Add "1"
    ItemIcons.Add "1"
    ItemIcons.Add "1"
    ItemIcons.Add "27"
    ItemIcons.Add "27"
    ItemIcons.Add "27"
    ItemIcons.Add "1"
End Sub

Public Sub PopJobs()
    Jobs.Add "Knight"
    Jobs.Add "Monk"
    Jobs.Add "Thief"
    Jobs.Add "Dragoon"
    Jobs.Add "Ninja"
    Jobs.Add "Samurai"
    Jobs.Add "Berserker"
    Jobs.Add "Hunter"
    Jobs.Add "Mystic Knight"
    Jobs.Add "White Wizard"
    Jobs.Add "Black Wizard"
    Jobs.Add "Time Wizard"
    Jobs.Add "Summoner"
    Jobs.Add "Blue Wizard"
    Jobs.Add "Red Wizard"
    Jobs.Add "Mediator"
    Jobs.Add "Chemist"
    Jobs.Add "Geomancer"
    Jobs.Add "Bard"
    Jobs.Add "Dancer"
    Jobs.Add "Mimic"
    Jobs.Add "Freelancer"
End Sub

Public Sub PopLetters()
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add "A"
    Letters.Add "B"
    Letters.Add "C"
    Letters.Add "D"
    Letters.Add "E"
    Letters.Add "F"
    Letters.Add "G"
    Letters.Add "H"
    Letters.Add "I"
    Letters.Add "J"
    Letters.Add "K"
    Letters.Add "L"
    Letters.Add "M"
    Letters.Add "N"
    Letters.Add "O"
    Letters.Add "P"
    Letters.Add "Q"
    Letters.Add "R"
    Letters.Add "S"
    Letters.Add "T"
    Letters.Add "U"
    Letters.Add "V"
    Letters.Add "W"
    Letters.Add "X"
    Letters.Add "Y"
    Letters.Add "Z"
    Letters.Add "a"
    Letters.Add "b"
    Letters.Add "c"
    Letters.Add "d"
    Letters.Add "e"
    Letters.Add "f"
    Letters.Add "g"
    Letters.Add "h"
    Letters.Add "i"
    Letters.Add "j"
    Letters.Add "k"
    Letters.Add "l"
    Letters.Add "m"
    Letters.Add "n"
    Letters.Add "o"
    Letters.Add "p"
    Letters.Add "q"
    Letters.Add "r"
    Letters.Add "s"
    Letters.Add "t"
    Letters.Add "u"
    Letters.Add "v"
    Letters.Add "w"
    Letters.Add "x"
    Letters.Add "y"
    Letters.Add "z"
    Letters.Add "il"
    Letters.Add "it"
    Letters.Add " "
    Letters.Add "li"
    Letters.Add "ll"
    Letters.Add "'"
    Letters.Add " "
    Letters.Add ":"
    Letters.Add ";"
    Letters.Add ","
    Letters.Add "("
    Letters.Add ")"
    Letters.Add " """
    Letters.Add "!"
    Letters.Add "?"
    Letters.Add "."
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
    Letters.Add " "
End Sub

Public Sub PopMagic()
    Magic.Add "Sword - Fire"
    Magic.Add "Sword - Ice"
    Magic.Add "Sword - Bolt"
    Magic.Add "Sword - Venom"
    Magic.Add "Sword - Mute"
    Magic.Add "Sword - Sleep"
    Magic.Add "Sword - Fire 2"
    Magic.Add "Sword - Ice 2"
    Magic.Add "Sword - Bolt 2"
    Magic.Add "Sword - Drain"
    Magic.Add "Sword - Break"
    Magic.Add "Sword - Bio"
    Magic.Add "Sword - Fire 3"
    Magic.Add "Sword - Ice 3"
    Magic.Add "Sword - Bolt 3"
    Magic.Add "Sword - Holy"
    Magic.Add "Sword - Flare"
    Magic.Add "Sword - Psych"
    Magic.Add "White - Cure"
    Magic.Add "White - Scan"
    Magic.Add "White - Antidote"
    Magic.Add "White - Mute"
    Magic.Add "White - Armor"
    Magic.Add "White - Size"
    Magic.Add "White - Cure 2"
    Magic.Add "White - Life"
    Magic.Add "White - Charm"
    Magic.Add "White - Image"
    Magic.Add "White - Shell"
    Magic.Add "White - Heal"
    Magic.Add "White - Cure 3"
    Magic.Add "White - Wall"
    Magic.Add "White - Berserk"
    Magic.Add "White - Life 2"
    Magic.Add "White - Holy"
    Magic.Add "White - Dispel"
    Magic.Add "Black - Fire"
    Magic.Add "Black - Ice"
    Magic.Add "Black - Bolt"
    Magic.Add "Black - Venom"
    Magic.Add "Black - Sleep"
    Magic.Add "Black - Toad"
    Magic.Add "Black - Fire 2"
    Magic.Add "Black - Ice 2"
    Magic.Add "Black - Bolt 2"
    Magic.Add "Black - Drain"
    Magic.Add "Black - Break"
    Magic.Add "Black - Bio"
    Magic.Add "Black - Fire 3"
    Magic.Add "Black - Ice 3"
    Magic.Add "Black - Bolt 3"
    Magic.Add "Black - Flare"
    Magic.Add "Black - Doom"
    Magic.Add "Black - Psych"
    Magic.Add "Time - Drag"
    Magic.Add "Time - Slow"
    Magic.Add "Time - Regen"
    Magic.Add "Time - Void"
    Magic.Add "Time - Haste"
    Magic.Add "Time - Float"
    Magic.Add "Time - Demi"
    Magic.Add "Time - Stop"
    Magic.Add "Time - Exit"
    Magic.Add "Time - Comet"
    Magic.Add "Time - Slow 2"
    Magic.Add "Time - Reset"
    Magic.Add "Time - Quarter"
    Magic.Add "Time - Haste 2"
    Magic.Add "Time - Old"
    Magic.Add "Time - Meteo"
    Magic.Add "Time - Quick"
    Magic.Add "Time - X-zone"                 '47h
    Magic.Add "Esper - Chocobo"
    Magic.Add "Esper - Sylph"
    Magic.Add "Esper - Remora"
    Magic.Add "Esper - Shiva"
    Magic.Add "Esper - Ramuh"
    Magic.Add "Esper - Ifrit"
    Magic.Add "Esper - Titan"
    Magic.Add "Esper - Golem"
    Magic.Add "Esper - Shoat"
    Magic.Add "Esper - Carbunkle"
    Magic.Add "Esper - Syldra"
    Magic.Add "Esper - Odin"
    Magic.Add "Esper - Phenix"
    Magic.Add "Esper - Leviathan"
    Magic.Add "Esper - Bahamut"
    Magic.Add "Song - Power"
    Magic.Add "Song - Speed"
    Magic.Add "Song - Vitality"
    Magic.Add "Song - Magic"
    Magic.Add "Song - Hero"
    Magic.Add "Song - Requiem"
    Magic.Add "Song - Love"
    Magic.Add "Song - Charm"
    Magic.Add "Summon - Chocobo Kick"
    Magic.Add "Summon - Whispering Wind"
    Magic.Add "Summon - Latch On"
    Magic.Add "Summon - Diamond Dust"
    Magic.Add "Summon - Bolt of Judgement"
    Magic.Add "Summon - Hellfire"
    Magic.Add "Summon - Rage of the Earth"
    Magic.Add "Summon - Earth Wall"
    Magic.Add "Summon - Demon's Eye"
    Magic.Add "Summon - Ruby Light"
    Magic.Add "Summon - Thunder Storm"
    Magic.Add "Summon - True Edge"
    Magic.Add "Summon - Fire of Resurection (Fire)"
    Magic.Add "Summon - Big Wave"
    Magic.Add "Summon - Mega Flare"
    Magic.Add "Summon - Fat Chocobo"
    Magic.Add "Summon - Gugnir (Odin)"
    Magic.Add "Summon - Fire of Resurrection (Resurrection)"
    Magic.Add "Dragon Sword 1 - Hp Drain"
    Magic.Add "Dragon Sword 2 - Mp Drain"
    Magic.Add "Egg Chop"
    Magic.Add "Harp - Silver Harp (Item Magic 05)"
    Magic.Add "Harp - Dream Harm (Item Magic 06)"
    Magic.Add "Harp - Lamia's Harp (Item Magic 07)"
    Magic.Add "Harp - Apollo's Harp (Item Magic 08)"
    Magic.Add "(Item Fail)? (Item Magic 09)"
    Magic.Add "Dance - Mystery Waltz"
    Magic.Add "Dance - Jitterbug Duet"
    Magic.Add "Dance - Tempting Tango"
    Magic.Add "Command - Magic Barrier"
    Magic.Add "Command - Sword Dance"
    Magic.Add "Command? - Ice Aura"
    Magic.Add "Command - Entangle (Whip Magic)"
    Magic.Add "Monster - Fight"              '80h
    Magic.Add "Monster - Specialty"
    Magic.Add "Blue - Condemn"
    Magic.Add "Blue - Roulette"
    Magic.Add "Blue - AquaRake"
    Magic.Add "Blue - Lv 5 Doom"
    Magic.Add "Blue - Lv 4 Qrter"
    Magic.Add "Blue - Lv 2 Old"
    Magic.Add "Blue - Lv 3 Flare"
    Magic.Add "Blue - Frog Song"
    Magic.Add "Blue - Tiny Song"
    Magic.Add "Blue - Flash"
    Magic.Add "Blue - Time Slip"
    Magic.Add "Blue - Moon Flut"
    Magic.Add "Blue - Death Claw"
    Magic.Add "Blue - Aero"
    Magic.Add "Blue - Aero 2"
    Magic.Add "Blue - Aero 3"
    Magic.Add "Blue - Emission"
    Magic.Add "Blue - Goblin Punch"
    Magic.Add "Blue - Dark Shock"
    Magic.Add "Blue - Guard Off"
    Magic.Add "Blue - Fusion"
    Magic.Add "Blue - Mind Blast"
    Magic.Add "Blue - Vampire"
    Magic.Add "Blue - Hammer"
    Magic.Add "Blue - Mighty Guard"
    Magic.Add "Blue - Exploder"
    Magic.Add "Blue - ????"
    Magic.Add "Blue - Blowfish"
    Magic.Add "Blue - White Wind"
    Magic.Add "Blue - Missile"
    Magic.Add "Enemy Magic - Kurururu!"
    Magic.Add "Enemy Magic - Level Down"
    Magic.Add "Enemy Magic - Escape"
    Magic.Add "Enemy Magic - Stalker Attack"
    Magic.Add "Enemy Magic - Byblos Attack"
    Magic.Add "Enemy Magic - No Clue"
    Magic.Add "Enemy Magic - Grand Cross"
    Magic.Add "Enemy Magic - Delta Attack"
    Magic.Add "Enemy Magic - Interceptor Rocket"
    Magic.Add "Enemy Magic - Barrier Change"
    Magic.Add "Enemy Magic - Regeneration"
    Magic.Add "Enemy Magic - Gale Cut"
    Magic.Add "Enemy Magic - No-Damage Magic"
    Magic.Add "Enemy Magic - Targeting"
    Magic.Add "Enemy Magic - Gravity 100"
    Magic.Add "Enemy Magic - Darkness"
    Magic.Add "Enemy Magic - Reaper's Sword"
    Magic.Add "Enemy Magic - Punishment"
    Magic.Add "Enemy Magic - Blaster"
    Magic.Add "Enemy Magic - Beak"
    Magic.Add "Enemy Magic - Hug"
    Magic.Add "Enemy Magic - Spore"
    Magic.Add "Enemy Magic - Poison Breath"
    Magic.Add "Enemy Magic - Dance of the Dead"
    Magic.Add "Enemy Magic - Zombie Powder"
    Magic.Add "Enemy Magic - Zombie Breath"
    Magic.Add "Enemy Magic - Spirit"
    Magic.Add "Enemy Magic - Allure"
    Magic.Add "Enemy Magic - Entangle"
    Magic.Add "Enemy Magic - Rainbow Wind"
    Magic.Add "Enemy Magic - Strange Dance"
    Magic.Add "Enemy Magic - Electromagnetic Field"
    Magic.Add "Enemy Magic - White Hole"
    Magic.Add "Enemy Magic - Needle"
    Magic.Add "Enemy Magic - Maelstrom"
    Magic.Add "Enemy Magic - Bone"
    Magic.Add "Enemy Magic - Tailscrew"
    Magic.Add "Enemy Magic - Stomach Acid"
    Magic.Add "Enemy Magic - Rocket Punch"
    Magic.Add "Enemy Magic - Mustard Bomb"
    Magic.Add "Enemy Magic - Almagest"
    Magic.Add "Enemy Magic - Quick Sand"
    Magic.Add "Enemy Magic - Atomic Ray"
    Magic.Add "Enemy Magic - Mini Blaze"
    Magic.Add "Enemy Magic - Snowstorm"
    Magic.Add "Enemy Magic - Blaze"
    Magic.Add "Enemy Magic - Electric Shock"
    Magic.Add "Enemy Magic - Earth Shaker"
    Magic.Add "Enemy Magic - True Edge"
    Magic.Add "Enemy Magic - Tidal Wave"
    Magic.Add "Enemy Magic - Mega Flare"
    Magic.Add "Enemy Magic - Sonic Wave"
    Magic.Add "Enemy Magic - Thread"
    Magic.Add "Enemy Magic - Mucus"
    Magic.Add "Enemy Magic - Quake"
    Magic.Add "Enemy Magic - Strong Fight"
    Magic.Add "Enemy Magic - Medicine"
    Magic.Add "Enemy Magic - Image"
    Magic.Add "Enemy Magic - Breath Wing"
    Magic.Add "Enemy Magic - Flame"
    Magic.Add "Enemy Magic - Thunder"
    Magic.Add "Enemy Magic - Surge Beam"
    Magic.Add "Enemy Magic - 'Explotion'"
    Magic.Add "Enemy Magic - Remedy"
    Magic.Add "Enemy Magic - Valiant Attack"
    Magic.Add "Enemy Magic - Giga Flare"
    Magic.Add "Enemy Magic - Circle"
    Magic.Add "Enemy Magic - Wormhole"
    Magic.Add "Enemy Magic - Possess"
    Magic.Add "Enemy Magic - Dynamo"
    Magic.Add "Enemy Magic - Magnet"
    Magic.Add "Enemy Magic - Reverse Polarity"
    Magic.Add "Enemy Magic - Jump"
    Magic.Add "Enemy Magic - X-zone"
    Magic.Add "Enemy Magic - Hurricane"
    Magic.Add "Enemy Magic - Demon's Eye"
    Magic.Add "Enemy Magic - Pull"
    Magic.Add "Enemy Magic - Terminate 1"
    Magic.Add "Enemy Magic - Unhide Monster"
    Magic.Add "Enemy Magic - Terminate 2"
    Magic.Add "Battle Control - not used"
    Magic.Add "Battle Control - not used"
    Magic.Add "Battle Control - not used"
    Magic.Add "Battle Control - not used"
    Magic.Add "Battle Control - not used"
    Magic.Add "Battle Control - not used"
    Magic.Add "Battle Control - not used"
    Magic.Add "Battle Control - not used"
    Magic.Add "Battle Control - not used"
    Magic.Add "Battle Control - not used"
    Magic.Add "Battle Control - not used"
    Magic.Add "Battle Control - not used"
    Magic.Add "Battle Control - not used"
    Magic.Add "Battle Control - Group"
    Magic.Add "Battle Control - Condition End"
    Magic.Add "Battle Control - Block End"
End Sub
